=== debian/changelog ===
dde-daemon (6.1.32) unstable; urgency=medium

  * feat: add fallback NTP server support

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 21:20:26 +0800

dde-daemon (6.1.31) unstable; urgency=medium

  * fix: 修改噪音抑制脚本

 -- fuleyi <fuleyi@uniontech.com>  Tue, 13 May 2025 19:37:31 +0800

dde-daemon (6.1.30) unstable; urgency=medium

  * fix: 解决蓝牙文件传输失败的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 May 2025 17:11:02 +0800

dde-daemon (6.1.29) unstable; urgency=medium

  * chore: add transifex config file
  * fix: starting with none screen, then inserted a screen, the screen
    cannot be lit
  * feat: Provide osbuild properties
  * fix: 解决dde-session-daemon启动慢的问题

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 10:56:39 +0800

dde-daemon (6.1.28) unstable; urgency=medium

  * feat: change default lock wallpaper path

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 22 Apr 2025 20:32:29 +0800
