=== debian/changelog ===
dde-daemon (6.1.41) unstable; urgency=medium

  * fix: remove redundant own policy in Accounts1 config
  * fix: Fix incompatible function pointer types with g_timeout_add_full
    on GCC 15

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 15:47:51 +0800

dde-daemon (6.1.40) unstable; urgency=medium

  * chore: remove regional variants for es languages
  * i18n: Updates for project Deepin Desktop Environment (#813)

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 17:16:10 +0800

dde-daemon (6.1.39) unstable; urgency=medium

  * fix: reorder module dependencies in session daemon and update
    imports

 -- fuleyi <fuleyi@uniontech.com>  Sat, 21 Jun 2025 15:35:24 +0800

dde-daemon (6.1.38) unstable; urgency=medium

  * fix: update text scale factor in XSettings configuration

 -- fuleyi <fuleyi@uniontech.com>  Fri, 20 Jun 2025 18:26:08 +0800

dde-daemon (6.1.37) unstable; urgency=medium

  * fix: Add interface to obtain all keyboard layouts
  * i18n: Updates for project Deepin Desktop Environment (#807)

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 19 Jun 2025 16:38:27 +0800

dde-daemon (6.1.36) unstable; urgency=medium

  * fix: Modify translations to align with Control Center
  * fix: adjust gesture feature translations and reorder options
  * fix: Modify the refresh rate accuracy to 0.01
  * i18n: Updates for project Deepin Desktop Environment (#774)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 12 Jun 2025 20:50:06 +0800

dde-daemon (6.1.35) unstable; urgency=medium

  * feat: add lightdm-deepin-greeter configuration files to installation
    for quick login
  * refactor: remove ai-assistant shortcuts and related actions
  * fix: 修复换不同显示器后系统缩放未改变的问题。
  * feat: integrate keyboard management with dsg configuration
  * fix: remove manual mode check and adjust auto mode logic
  * feat: 快捷键切换屏幕时判断有效屏幕数量

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:48:02 +0800

dde-daemon (6.1.34) unstable; urgency=medium

  * chore: 更正一些dbus的调用，使用org风格接口名进行调用
  * fix: 解决降噪设置被重复触发的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 29 May 2025 15:36:14 +0800

dde-daemon (6.1.33) unstable; urgency=medium

  * fix: 修复认证漏洞
  * fix: extend custom timezone list
  * fix: 解决亮度概率异常的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 27 May 2025 20:26:35 +0800
