## dde-daemon 6.1.45

=== Makefile ===
--- 
+++ 
@@ -113,8 +113,6 @@
 
 LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
-CFLAGS = -W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie
-
 all: build
 
 prepare:
