=== debian/changelog ===
dde-daemon (6.1.45) unstable; urgency=medium

  * fix: add nil checks for audio sink/source updates
  * fix: The scheduled shutdown during holidays takes effect

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 22 Jul 2025 11:26:59 +0800

dde-daemon (6.1.44) unstable; urgency=medium

  * fix: fix some modules loaded failed
  * fix: fix failure to change audio input device

 -- fuleyi <fuleyi@uniontech.com>  Tue, 15 Jul 2025 20:50:41 +0800

dde-daemon (6.1.43) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#823)
  * feat: add GenLocale method and improve locale state handling
  * fix: avoid dpkg packaging failures
  * feat: root进程需要判断调用者时，使用TrustedExe替换Exe
  * Revert "chore: prohibit the startup and auto start of some services"

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:58:57 +0800

dde-daemon (6.1.42) unstable; urgency=medium

  * fix: add tlp dependency to debian control file
  * fix: add nil check for xsManager in tryToChangeScaleFactor
  * chore: prohibit the startup and auto start of some services

 -- fuleyi <fuleyi@uniontech.com>  Thu, 03 Jul 2025 17:22:54 +0800
