=== debian/control ===
--- 
+++ 
@@ -91,6 +91,7 @@
  network-manager,
  procps,
  rfkill,
+ tlp,
  user-setup,
  xdotool,
  xkb-data,
