## dde-daemon 6.1.50

=== debian/changelog ===
dde-daemon (6.1.50) unstable; urgency=medium

  * chore: Updates for go.mod
  * Fix: replace TrustedExe with Exe due to systemd namespace changes

 -- fuleyi <fuleyi@uniontech.com>  Fri, 15 Aug 2025 10:31:02 +0800

dde-daemon (6.1.49) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#848)

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:39:53 +0800

dde-daemon (6.1.48) unstable; urgency=medium

  * feat: 优化音频事件的处理
  * chore: update go.mod and gitignore

 -- fuleyi <fuleyi@uniontech.com>  Fri, 08 Aug 2025 11:05:36 +0800

dde-daemon (6.1.47) unstable; urgency=medium

  * fix: remove redundant kernel version check in plymouth theme setup

  -- lvpeilong <lvpeilong@uniontech.com>  Fri, 01 Aug 2025 10:00:00 +0800

dde-daemon (6.1.46) unstable; urgency=medium

  * fix: update initramfs for all kernels instead of current
  * fix: Double click setting does not take effect
  * fix: simplify desktop file creation logic
  * fix: update NTP server configuration and fallback logic
  * fix: correct flags format in system config
  * fix: QuickLogin enable state only response to dconfig changes
  * chore: update  go.mod

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:43:17 +0800
