=== debian/changelog ===
dde-daemon (6.1.61) unstable; urgency=medium

  * fix: resolve crash from dconfig type mismatch

 -- fuleyi <fuleyi@uniontech.com>  Mon, 27 Oct 2025 13:51:30 +0800

dde-daemon (6.1.60) unstable; urgency=medium

  * fix: 对智能电池电量增加阀值配置,以及开关
  * fix: disable touchscreen left edge clipboard gesture
  * Revert "fix: Modify the default clipboard shortcut key"
  * Revert "fix: prevent GTK window size change on daemon exit"
  * fix: check lightdm group existence before permission setup
  * i18n: Updates for project Deepin Desktop Environment (#906)
  * fix: Modify the default clipboard shortcut key

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 17:18:59 +0800

dde-daemon (6.1.59) unstable; urgency=medium

  * fix: revert device listener thread management to fix CPU usage
  * fix: restrict scheduler module to Deepin/UOS platforms only
  * fix: remove ACPI event configurations for security compliance
  * chore: remove deprecated appinfo and apps1 modules
  * fix: remove uadpagent module and gnome-keyring dependency
  * fix: remove deepin-proxy dependency for security compliance
  * fix: security hardening for dde-daemon services
  * chore: remove iw module

 -- fuleyi <fuleyi@uniontech.com>  Thu, 16 Oct 2025 16:55:22 +0800

dde-daemon (6.1.58) unstable; urgency=medium

  * feat: 移除网络模块
  * feat: 移除网络模块
  * fix: change power mode setting to use transient service
  * fix: touchpad state not preserved after Bluetooth device
    reconnection
  * fix: improve device listener thread management

 -- fuleyi <fuleyi@uniontech.com>  Fri, 10 Oct 2025 15:39:33 +0800

dde-daemon (6.1.57) unstable; urgency=medium

  * fix: initialize power saving brightness drop percent
  * fix: handle dconfig initialization failure properly
  * refactor: remove fprintd and dde-authority modules
  * chore: update package dependencies
  * refactor: remove xsettings dependency
  * feat: migrate polkit rules from pkla to rules format
  * feat: add StopAudioService interface for session logout
  * fix: resolve NumLock state sync issue between daemon and frontend

 -- fuleyi <fuleyi@uniontech.com>  Thu, 25 Sep 2025 20:52:08 +0800

dde-daemon (6.1.56) unstable; urgency=medium

  * refactor: migrate from custom config helpers to dconfig module
  * feat: 多屏场景下支持合盖后自动切换仅外屏显示
  * fix: 解决焦点在控制中心更新模块，仍有更新的横幅通知的问题
  * refactor: migrate audio configuration from gsettings to dconfig
  * refactor: migrate gesture configuration from GSettings to DConfig
  * chore: remove GNOME wrapper configuration
  * fix: touchpad cannot be properly disabled
  * fix: Password authentication is required when system was waked up

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:00:38 +0800

dde-daemon (6.1.55) unstable; urgency=medium

  * fix: correct logger method call in sync config

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 12 Sep 2025 10:09:08 +0800

dde-daemon (6.1.54) unstable; urgency=medium

  * refactor: migrate sound effect settings to dconfig
  * i18n: Updates for project Deepin Desktop Environment (#884)
  * refactor: migrate locale settings from GSettings to DConfig
  * fix: prevent GTK window size change on daemon exit
  * feat: 单声道模式支持
  * feat: uadpdbus接口支持20风格
  * feat(inputdevice): Change gsettings to dconfig

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 20:58:23 +0800

dde-daemon (6.1.53) unstable; urgency=medium

  * fix: Update Bluetooth state as soon as possible
  * fix: correct touchpad enable function parameter
  * fix: resolve touchpad state persistence issue after system restart
  * refactor: migrate display settings from gsettings to dconfig

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 04 Sep 2025 21:48:37 +0800

dde-daemon (6.1.52) unstable; urgency=medium

  * fix: 解决蓝牙文件传输拒绝后，依旧在传输的问题
  * feat(power&keybinding): Change backend configuration to dconfig
  * i18n: Translate misc/po/dde-daemon.pot in pt_BR (#872)
  * fix: 解决内置声卡被禁用端口插拔时没有通知的问题
  * fix: 解决控制中心时区列表格式不统一的问题
  * fix: Fixed the issue of password modification date
  * chore: remove ipwatchd dependency

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:36:05 +0200

dde-daemon (6.1.51) unstable; urgency=medium

  * fix: 解决崩溃问题 默认sink没有判空导致崩溃
  * fix: 解决电源管理性能模式设置后实际不生效的问题
  * fix: 解决配置声音输入设备优先级，没有生效
  * fix: 蓝牙默认模式不是最高质量的
  * fix:  设置输出端口的插拔管理默认开启
  * fix: 解决禁用声卡端口后，插拔耳机没有通知
  * fix: 解决端口禁用没有切换的问题
  * Fix: Error in modifying Bluetooth data

 -- fuleyi <fuleyi@uniontech.com>  Thu, 21 Aug 2025 14:15:22 +0800
