=== debian/control ===
--- 
+++ 
@@ -41,8 +41,6 @@
  libglib2.0-dev,
  libgtk-3-dev,
  libinput-dev,
- libnl-3-dev,
- libnl-genl-3-dev,
  librsvg2-bin,
  libudev-dev,
  libx11-dev,
@@ -61,7 +59,6 @@
 Package: dde-daemon
 Architecture: any
 Depends:
- bamfdaemon,
  bluez-obexd,
  cgroup-tools,
  dbus,
@@ -69,31 +66,22 @@
  dde-polkit-agent,
  deepin-desktop-schemas (>> 5.1.2+),
  deepin-installer-timezones,
- deepin-proxy,
  deepin-sound-theme,
  dmidecode,
- dnsmasq-base,
- gnome-keyring,
  libglib2.0-bin,
  hwinfo,
  imwheel,
- ipwatchd,
- iso-codes,
  lastore-daemon,
  libfprint0 | libfprint | libfprint-2-2,
- libnl-3-200,
- libnl-genl-3-200,
  libnotify-bin,
  libpam-runtime (>= 1.1.3-2~),
  libpam0g,
- libnss-myhostname,
- mobile-broadband-provider-info,
  network-manager,
  procps,
  rfkill,
  tlp,
- user-setup,
  xdotool,
+ x11-utils,
  xkb-data,
  dde-dconfig-daemon,
  ${dist:Depends},
