## dde-daemon 6.1.64

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,6 @@
     ${GOPKG_PREFIX}/system/keyevent1 \
     ${GOPKG_PREFIX}/system/lang \
     ${GOPKG_PREFIX}/system/power1 \
-    ${GOPKG_PREFIX}/system/power_manager1 \
     ${GOPKG_PREFIX}/system/resource_ctl \
     ${GOPKG_PREFIX}/system/scheduler \
     ${GOPKG_PREFIX}/system/swapsched1 \
@@ -131,7 +130,7 @@
 pot:
 	deepin-update-pot misc/po/locale_config.ini
 
-POLICIES=accounts grub2
+POLICIES=accounts grub2 daemon.system
 ts:
 	for i in $(POLICIES); do \
 		deepin-policy-ts-convert policy2ts misc/polkit-action/org.deepin.dde.$$i.policy.in misc/ts/org.deepin.dde.$$i.policy; \
