=== debian/changelog ===
dde-daemon (6.1.64) unstable; urgency=medium

  * feat: add read-only protection switch and translations
  * fix: resolve timezone display issue when switching to Beijing Time
  * feat: 安全整改,去掉部分dbus通过GetConnPID鉴权二进制路径的逻辑

 -- fuleyi <fuleyi@uniontech.com>  Thu, 13 Nov 2025 19:43:08 +0800

dde-daemon (6.1.63) unstable; urgency=medium

  * refactor: optimize audio code and fix issues
  * fix: fix bluetooth audio port priority assignment
  * chore: remove powermanager module
  * refactor: replace pactl scripts with pulseaudio API calls
  * fix: remove virtual device filtering for bluetooth touchpad
  * i18n: Translate misc/po/dde-daemon.pot in pt_BR
  * fix: code optimization

 -- fuleyi <fuleyi@uniontech.com>  Fri, 07 Nov 2025 10:13:39 +0800

dde-daemon (6.1.62) unstable; urgency=medium

  * fix: update notification center D-Bus interface paths
  * feat: 优化了音频配置.
  * fix: extend custom timezone mapping list
  * fix: correct config key in DSG property initialization
  * fix: update OBEX file transfer notification timeout

 -- Robertkill <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 19:41:40 +0800
